angular.module('focaModalPuntoDescarga')
    .factory('focaModalPuntoDescargaService',
        ['$http', 'API_ENDPOINT', function($http, API_ENDPOINT) {
        return {
            getPuntosDescarga: function() {
                return $http.get(API_ENDPOINT.URL + '/punto-descarga');
            },
            getPuntoDescargaById: function(id) {
                return $http.get(API_ENDPOINT.URL + '/punto-descarga/' + id);
            },
            getPuntosDescargaByClienDom: function(idDomicilio, idCliente) {
                return $http.get(API_ENDPOINT.URL + '/punto-descarga/' +
                    idDomicilio + '/' + idCliente);
            },
            guardarPuntoDescarga: function(puntoDescarga) {
                return $http.post(API_ENDPOINT.URL + '/punto-descarga',
                    {puntoDescarga: puntoDescarga});
            },
            eliminarPuntoDescarga: function(id) {
                return $http.delete(API_ENDPOINT.URL + '/punto-descarga/' + id);
            }
        };
    }]);
